<template>
  <v-card>
    <v-card-title class="text-h4 text-uppercase">
      Légende
    </v-card-title>
    <v-card-text>
      <v-divider class="mb-2"></v-divider>
      <v-row>
        <v-col cols="12" sm="6" class="rank-list">
          <div class="mb-2 font-weight-bold text-subtitle-1">Grades</div>
          <div v-for="rank of ranks" class="mb-1 rank-item">
            <div class="mr-2 rank-box" :class="rank.class"></div>
            <div>{{ rank.name }}</div>
          </div>
        </v-col>
        <v-col cols="12" sm="6" class="people-list">
          <div class="mb-2 font-weight-bold text-subtitle-1">Types individus</div>
          <div v-for="peopleType of peopleTypes" class="mb-1 people-item">
            <div>
              <v-icon>{{ peopleType.icon }}</v-icon>
            </div>
            <div>{{ peopleType.name }}</div>
          </div>
        </v-col>
      </v-row>
    </v-card-text>
  </v-card>
</template>

<script setup lang="ts">
const ranks = [
  { name: 'Officiers généraux', class: 'bgGeneralOfficers' },
  { name: 'Officiers supérieurs', class: 'bgSeniorOfficers' },
  { name: 'Officiers subalternes', class: 'bgJuniorOfficers' },
  { name: 'Sous-officiers supérieurs', class: 'bgSeniorSubOfficers' },
  { name: 'Sous-officiers subalternes', class: 'bgJuniorSubOfficers' },
  { name: 'Militaires du rang', class: 'bgTroopRanks' },
  { name: 'Civils', class: 'bgCivilRanks' }
];

const peopleTypes = [
  { icon: 'star', name: 'VIP' },
  { icon: 'medical_services', name: 'Stratevac / Medevac' },
  { icon: 'work', name: 'Convoyeur' },
  { icon: 'pets', name: 'Maître-chien' },
  { icon: 'child_care', name: 'Mineur' },
];
</script>

<style lang="scss">
.rank-list,
.people-list {

  .rank-item,
  .people-item {
    display: flex;
    align-items: center;

    .rank-box {
      height: 24px;
      min-width: 24px;
      border-radius: 4px;
    }
  }
}
</style>
